LDAHREAD(3X)

NAME
ldahread - read the archive header of a member of a COFF archive file

SYNOPSIS
#include <stdio.h>
#include <ar.h>
#include <filehdr.h>
#include <ldfcn.h>

int ldahread (ldptr, arhead)
LDFILE *ldptr;
ARCHDR *arhead;

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION
If TYPE(ldptr) is the archive file magic number, ldahread reads the archive header of the COFF file currently associated with ldptr into the area of memory beginning at arhead.

ldahread returns SUCCESS or FAILURE. ldahread will fail if TYPE(ldptr) does not represent an archive file, or if it cannot read the archive header.

The program must be loaded with the object file access routine library libld.a.

SEE ALSO
ldclose(3X), ldfcn(3), ldopen(3X), intro(5)